Query payroll
curl --request POST \
--url https://sandbox.tight.com/v6/payroll/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {
"orderBy": "DATE"
},
"filter": {
"date": {
"equal": "2023-12-25",
"notEqual": "2023-12-25",
"greaterThan": "2023-12-25",
"greaterThanEqual": "2023-12-25",
"lessThan": "2023-12-25",
"lessThanEqual": "2023-12-25"
},
"amount": {
"equal": 123,
"notEqual": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"description": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"status": {
"in": [],
"notIn": []
},
"apiName": {
"in": [],
"notIn": []
},
"glAccount": {
"expand": true
},
"dimensionValues": {
"expand": true
},
"reconciliationMatch": {
"expand": true
},
"company": {
"in": [
"co_123",
"co_456"
]
}
}
}
'import requests
url = "https://sandbox.tight.com/v6/payroll/query"
payload = {
"cursor": "<string>",
"limit": 123,
"sort": { "orderBy": "DATE" },
"filter": {
"date": {
"equal": "2023-12-25",
"notEqual": "2023-12-25",
"greaterThan": "2023-12-25",
"greaterThanEqual": "2023-12-25",
"lessThan": "2023-12-25",
"lessThanEqual": "2023-12-25"
},
"amount": {
"equal": 123,
"notEqual": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"description": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"status": {
"in": [],
"notIn": []
},
"apiName": {
"in": [],
"notIn": []
},
"glAccount": { "expand": True },
"dimensionValues": { "expand": True },
"reconciliationMatch": { "expand": True },
"company": { "in": ["co_123", "co_456"] }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
limit: 123,
sort: {orderBy: 'DATE'},
filter: {
date: {
equal: '2023-12-25',
notEqual: '2023-12-25',
greaterThan: '2023-12-25',
greaterThanEqual: '2023-12-25',
lessThan: '2023-12-25',
lessThanEqual: '2023-12-25'
},
amount: {
equal: 123,
notEqual: 123,
greaterThan: 123,
greaterThanEqual: 123,
lessThan: 123,
lessThanEqual: 123
},
description: {
equal: '<string>',
notEqual: '<string>',
greaterThan: '<string>',
greaterThanEqual: '<string>',
lessThan: '<string>',
lessThanEqual: '<string>',
contain: '<string>'
},
status: {in: [], notIn: []},
apiName: {in: [], notIn: []},
glAccount: {expand: true},
dimensionValues: {expand: true},
reconciliationMatch: {expand: true},
company: {in: ['co_123', 'co_456']}
}
})
};
fetch('https://sandbox.tight.com/v6/payroll/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "SUCCESS",
"data": [
{
"id": "prl_12345",
"status": "ACTIVE",
"reviewStatus": "RECONCILED",
"date": "2024-01-15",
"checkDate": "2024-01-18",
"processedDate": "2024-01-15",
"amount": 3000000,
"description": "Payroll Period 01/01/2024 - 01/15/2024",
"notes": "Check #1234 issued 2024-01-15",
"apiName": "GUSTO",
"apiSourceId": "gst_payroll_20240115",
"children": [
{
"id": "pli_12345",
"apiItemId": "item_123",
"type": "OFFICER_EMPLOYEE_NET_PAY",
"liabilityGlAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"expenseGlAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"description": "Officer net pay",
"amount": 500000,
"reconciliationMatch": {
"id": "<string>",
"apiSourceId": "<string>",
"amount": 123,
"date": "2023-12-25",
"description": "<string>",
"apiName": "BOX",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
}
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Payroll
Query payroll
Query payroll for the authenticated user
POST
/
v6
/
payroll
/
query
Query payroll
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Response
Success
The result of the action performed.
Available options:
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes
Show child attributes